DNF5-REPOQUERY(8)

NUME
dnf5-repoquery - comanda «repoquery»

SINOPSIS

dnf5 repoquery [opțiuni] [<NIF-specificație-pachet>...]

DESCRIERE

Comanda repoquery din DNF5 este utilizată pentru interogarea pachetelor prin potrivirea diferitelor criterii introduse de utilizator. Argumentele definite în lista spec sunt utilizate ca <specificație-fișier-pachet>.

OPȚIUNI

    --advisories=NUME_AVIZ,...
        Include conținutul conținut în avize cu numele specificat.
        Aceasta este o opțiune de listă.
        Valorile așteptate sunt ID-urile avizelor, de exemplu FEDORA-2201-123.
        Orice comandă de tranzacție (install, upgrade) va eșua cu o eroare dacă nu există niciun aviz existent în listă; acest lucru poate fi ocolit prin utilizarea opțiunii „--skip-unavailable”.

    --advisory-severities=GRAVITATE_AVIZ,...
        Include conținutul conținut în avize cu severitatea specificată.
        Aceasta este o opțiune de listă.
        Valorile acceptate sunt: critical, important, moderate, low (scăzută), none (niciuna).

    --arch ARHITECTURA,...
        Limitează la pachetele din aceste arhitecturi.
        Aceasta este o opțiune de listă.

    --available
        Consultă pachetele disponibile.
        Acesta este comportamentul implicit.
        Poate fi combinată cu --installed pentru a interoga atât pachetele instalate, cât și cele disponibile.

    --bugfix
        Include conținutul conținut în avizele de remediere a erorilor.

    --bzs=ID_BUGZILLA,...
        Include conținutul conținut în avize care corectează un tichet cu ID-ul Bugzilla dat.
        Aceasta este o opțiune de listă.
        Valorile așteptate sunt ID-uri numerice, de exemplu 123123.
        Orice comandă de tranzacție (install, upgrade) va eșua cu o eroare dacă nu există niciun aviz care să rezolve problema dată; acest lucru poate fi ocolit prin utilizarea opțiunii „--skip-unavailable”.

    --cves=ID_CVE,...
        Include conținutul conținut în avize care fixează un tichet cu ID-ul CVE (Common Vulnerabilities and Exposures) dat.
        Aceasta este o opțiune de listă.
        Valorile așteptate sunt șiruri de ID-uri în format CVE, de exemplu CVE-2201-0123.
        Orice comandă de tranzacție (install, upgrade) va eșua cu o eroare dacă nu există niciun aviz care să rezolve problema dată; acest lucru poate fi ocolit prin utilizarea opțiunii „--skip-unavailable”.

    --disable-modular-filtering
        Include pachetele de fluxuri de module inactive.

    --duplicates
        Limitează pachetele duplicate instalate (adică mai multe versiuni de pachete pentru același nume și aceeași arhitectură).
        Pachetele cu directiva „installonly” sunt excluse din acest set.

    --enhancement
        Include conținutul conținut în avizele de îmbunătățire.

    --exactdeps
        Limitează la pachetele care necesită <capacitatea> specificată prin opțiunea „--whatrequires” sau „--whatdepends”.
        Această opțiune se poate utiliza doar cu opțiunea „--whatrequires” sau „--whatdepends”.

    --extras
        Limitează la pachetele instalate care nu sunt prezente în niciun depozit disponibil.

    -f, --file=FIȘIER,...
        Limitează la pachetele care dețin aceste fișiere.
        Aceasta este o opțiune de listă.

    --installed
        Consultă pachetele instalate.
        Poate fi combinată cu --available pentru a interoga atât pachetele instalate, cât și cele disponibile.

    --installed-from-repo=ID_DEPOZIT,...
        Filtrează pachetele instalate după ID-ul depozitului din care au fost instalate.

    --installonly
        Limitează setul rezultat la pachetele „installonly” instalate.

    --latest-limit=N
        Limitează la N cele mai recente pachete pentru un nume.arch dat (sau toate cu excepția N cele mai recente dacă N este negativ).

    --leaves
        Limitează la grupuri de pachete instalate care nu sunt solicitate de alte pachete instalate.

    --newpackage
        Include conținutul conținut în avizele de pachete noi.

    --providers-of=ATRIBUT_PACHET
        După terminarea filtrării, se obține atributul selectat al pachetelor și pachetele ce rezultă că îl oferă.
        Pachetele rezultate sunt limitate de opțiunile --available, --installed și --arch.
        Acceptă: „conflicts”, „depends”, „enhances”, „obsoletes”, „provides”, „recommends”, „requires”, „requires_pre”, „suggests”, „supplements”.

    --recent
        Limitează doar la pachetele modificate recent.

    --recursive
        Această opțiune este utilizabilă numai cu opțiunea „--whatrequires” sau „--providers-of=requires”.
        Atunci când este utilizată cu opțiunea „--whatrequires”: extinde ieșirea cu pachetele care necesită orice lucru furnizat de pachetele rezultate.
        Atunci când este utilizată cu opțiunea „--providers-of=requires”: extinde ieșirea cu pachetele care furnizează orice este necesar pentru pachetele rezultate.
        Aceasta repetă extinderea ieșirii atâta timp cât sunt adăugate pachete noi.
        Pachetele adăugate sunt limitate de opțiunile --available, --installed și --arch.

    --security
        Include conținutul conținut în avizele de securitate.

    --srpm
        După terminarea filtrării, utilizează pachetele corespunzătoare RPM-urilor sursă pentru ieșire.
        Activează depozitele sursă.

    --unneeded
        Limitează pachetele instalate care nu sunt necesare (adică pachetele care au fost instalate ca dependențe, dar nu mai sunt necesare).
        Această opțiune listează pachetele care urmează să fie eliminate după executarea comenzii autoremove.

    --upgrades
        Limitează la pachetele disponibile care oferă o actualizare pentru un pachet deja instalat.

    --userinstalled
        Limitează la pachetele care nu sunt instalate ca dependențe sau dependențe slabe.
        Aceasta înseamnă limitarea la pachetele care au fost instalate la cererea utilizatorului sau indirect ca parte a unui profil de modul sau a unui grup de comps. În plus, returnează pachetele instalate cu un motiv necunoscut.
        Rezultatul poate fi influențat de opțiunea „exclude” din fișierul de configurare.
        Pentru a obține un motiv exact al instalării, utilizați opțiunea --queryformat '%{name} %{reason}\n'.

    --whatconflicts=CAPACITATEA,...
        Limitează la pachetele care intră în conflict cu oricare dintre  <capacitățile> specificate.
        Aceasta este o opțiune de listă.

    --whatdepends=CAPACITATEA,...
        Limitează la pachetele care necesită, îmbunătățesc, recomandă, sugerează sau completează oricare dintre <capacitățile> specificate.
        Aceasta este o opțiune de listă.

    --whatenhances=CAPACITATEA,...
        Limitează la pachetele care îmbunătățesc oricare dintre <capacitățile> specificate. Utilizați opțiunea „--whatdepends” dacă doriți să listați toate pachetele dependente.
        Aceasta este o opțiune de listă.

    --whatobsoletes=CAPACITATEA,...
        Limitarea la pachetele care învechesc oricare dintre <capacitățile> specificate.
        Aceasta este o opțiune de listă.

    --whatprovides=CAPACITATEA,...
        Limitează la pachetele care furnizează oricare dintre <capacitățile> specifcate. Capacitățile care sunt specificate de un fișier „provide” (furnizează) <#file-provides-ref-label> sunt, de asemenea, comparate cu fișierele furnizate.
        Aceasta este o opțiune de listă.

    --whatrecommends=CAPACITATEA,...
        Limitează la pachetele care recomandă oricare dintre <capacitățile> specificate. Utilizați opțiunea „--whatdepends” dacă doriți să listeze toate pachetele dependente.
        Aceasta este o opțiune de listă.

    --whatrequires=CAPACITATEA,...
        Limitează la pachetele care necesită oricare dintre <capacitățile> specificate. Utilizați opțiunea „--whatdepends” dacă doriți să listeze toate pachetele dependente.
        Aceasta este o opțiune de listă.

    --whatsuggests=CAPACITATEA,...
        Limitează la pachetele care sugerează oricare dintre <capacitățile> specificate. Utilizați opțiunea „--whatdepends” dacă doriți să listeze toate pachetele dependente.
        Aceasta este o opțiune de listă.

    --whatsupplements=CAPACITATEA,...
        Limitează la pachetele care completează oricare dintre <capacitățile> specificate. Utilizați opțiunea „--whatdepends” dacă doriți să listeze toate pachetele dependente.
        Aceasta este o opțiune de listă.

OPȚIUNI DE FORMATARE

Stabilește ce informații sunt afișate despre fiecare pachet. Următoarele opțiuni se exclud reciproc, adică poate fi specificată cel mult una. Dacă nu este dată nicio opțiune de formatare, pachetele selectate sunt afișate în formatul de interogare "%{full_nevra}".

    --conflicts
        Ca --qf "%{conflicts}", dar fără duplicate și sortate pe linie.

    --depends
        Ca --qf "%{depends}", dar fără duplicate și sortate pe linie.

    --enhances
        Ca --qf "%{enhances}", dar fără duplicate și sortate pe linie.

    --files
        Ca --qf "%{files}", dar fără duplicate și sortate pe linie.

    --obsoletes
        Ca --qf "%{obsoletes}", dar fără duplicate și sortate pe linie.

    --provides
        Ca --qf "%{provides}", dar fără duplicate și sortate pe linie.

    --recommends
        Ca --qf "%{recommends}", dar fără duplicate și sortate pe linie.

    --requires
        Ca --qf "%{requires}", dar fără duplicate și sortate pe linie.

    --requires-pre
        Ca --qf "%{requires_pre}", dar fără duplicate și sortate pe linie.

    --sourcerpm
        Ca --qf "%{sourcerpm}", dar fără duplicate și sortate pe linie.

    --suggests
        Ca --qf "%{suggests}", dar fără duplicate și sortate pe linie.

    --supplements
        Ca --qf "%{supplements}", dar fără duplicate și sortate pe linie.

    --location
        Ca --qf "%{location}", dar fără duplicate și sortate pe linie.

    -i, --info
        Afișează informații detaliate despre pachet.

    --changelogs
        Imprimă jurnalele de modificare a pachetelor.

    --querytags
        Afișează etichetele disponibile pentru opțiunea „--queryformat”.

    --queryformat=<format>
        Specifică formatul de afișare pentru pachete. Șirul <format> poate conține etichete (%{<tag>}) care sunt înlocuite cu atributele corespunzătoare ale pachetului.

        Valoarea implicită este "%{full_nevra}". Șirul <format> este extins fără duplicate pentru fiecare pachet.

        * arch - Afișează arhitectura pachetului.
        * buildtime - Afișează timpul de construcție al pachetului în timpul Unix.
        * conflicts - Afișează capacitățile cu care pachetul intră în conflict. Separate prin linii noi.
        * debug_name - Afișează numele pachetului debuginfo al pachetului.
        * depends - Afișează capacitățile de care pachetul depinde, îmbunătățește, recomandă, sugerează sau completează. Separate prin linii noi.
        * description - Afișează descrierea pachetului.
        * downloadsize - Afișează dimensiunea de descărcare a pachetului.
        * enhances - Afișează capacitățile îmbunătățite de pachet. Separate prin linii noi.
        * epoch - Afișează epoca pachetului.
        * evr - Afișează epoch:version-release a pachetului. Epoch 0 este omisă.
        * files - Afișează fișierele din pachet. Separate prin linii noi.
        * from_repo - Afișează id-ul depozitului din care este instalat pachetul. Gol pentru pachetele neinstalate.
        * full_nevra - Afișează numele-epoch:version-release.arch al pachetului. Chiar și epoca 0 este inclusă.
        * group - Afișează grupul pachetului. Acesta nu este grupul Comps.
        * location - Afișează locația pachetului.
        * installsize - Afișează dimensiunea de instalare a pachetului.
        * installtime - Afișează ora de instalare a pachetului.
        * license - Afișează licența pachetului.
        * name - Afișează numele pachetului.
        * obsoletes - Afișează capacitățile învechite de pachet. Separate prin linii noi.
        * packager - Afișează împachetorul pachetului.
        * prereq_ignoreinst - Afișare sigură pentru a elimina cerințele requires_pre ale unui pachet instalat. Gol pentru pachetele neinstalate. Separate prin linii noi.
        * provides - Afișează capacitățile furnizate de pachet. Separate prin linii noi.
        * reason - Afișează motivul pentru care a fost instalat pachetul.
        * recommends - Afișează capacitățile recomandate de pachet. Separate prin linii noi.
        * regular_requires - Afișează capacitățile cerute de pachet fără cerințele sale %pre, %post, %preun și %postun. Separate prin linii noi.
        * release - Afișează versiunea pachetului.
        * repoid - Afișează id-ul depozitului în care se află pachetul.
        * reponame - Afișează numele depozitului în care se află pachetul.
        * requires - Afișează capacitățile cerute de pachet (combină regular_requires și requires_pre).
        * requires_pre - Pentru un pachet instalat, afișează capacitățile de care depinde pentru a rula scripturile sale %pre, %post, %preun și %postun. Pentru un pachet neinstalat afișează doar cerințele %pre și $post. Separate prin linii noi.
        * source_debug_name - Afișează numele pachetului debuginfo pentru pachetul sursă al pachetului.
        * source_name - Afișează numele RPM-ului sursă al pachetului.
        * sourcerpm - Afișează RPM-ul sursă al pachetului.
        * suggests - Afișează capacitățile sugerate de pachet. Separate prin linii noi.
        * summary - Afișează rezumatul pachetului.
        * supplements - Afișează capacitățile suplimentate de pachet. Separate prin linii noi.
        * url - Afișează adresa URL a pachetului.
        * vendor - Afișează furnizorul pachetului.
        * version - Afișează versiunea pachetului.

        Șirul <format> poate conține și \n, care va fi înlocuit cu un caracter de linie nouă la ieșire.

EXEMPLE

    dnf5 repoquery /etc/koji.conf
        Listează pachetele care furnizează fișierul dat.

    dnf5 repoquery *http*
        Listează pachetele care conțin http în numele lor.

    dnf5 repoquery --installed --security
        Listează pachetele instalate incluse în orice aviz de securitate.

CONSULTAȚI ȘI
        dnf5-advisory(8),Comanda «advisory» <#advisory-command-ref-label>
        dnf5-leaves(8), Comanda «leaves» <#leaves-command-ref-label>
        dnf5-specs(7), Specificarea modelelor <#specs-misc-ref-label>

Autor
A se vedea AUTHORS.md în distribuția sursei dnf5.

Drepturi de autor
Contribuitori la proiectul dnf5.

TRADUCERE
Traducerea în limba română a acestui manual a fost făcută de Remus-Gabriel Chelu <remusgabriel.chelu@disroot.org>

Această traducere este documentație gratuită; citiți Licența publică generală GNU Versiunea 3 (https://www.gnu.org/licenses/gpl-3.0.html) sau o versiune ulterioară cu privire la condiții privind drepturile de autor. NU se asumă NICIO RESPONSABILITATE.

Dacă găsiți erori în traducerea acestui manual, vă rugăm să trimiteți un e-mail la translation-team-ro@lists.sourceforge.net.